<script>
	import { stores } from "@sapper/app"
	const { session } = stores()

	export let segment
</script>

<style>
	nav {
		border-bottom: 1px solid rgba(255, 62, 0, 0.1);
		font-weight: 300;
		padding: 0 1em;
	}

	ul {
		margin: 0;
		padding: 0;
	}

	/* clearfix */
	ul::after {
		content: "";
		display: block;
		clear: both;
	}

	li {
		display: block;
		float: left;
	}

	.selected {
		position: relative;
		display: inline-block;
	}

	.selected::after {
		position: absolute;
		content: "";
		width: calc(100% - 1em);
		height: 2px;
		background-color: rgb(255, 62, 0);
		display: block;
		bottom: -1px;
	}

	a {
		text-decoration: none;
		padding: 1em 0.5em;
		display: block;
	}

	.right {
		margin-left: 5em;
	}
</style>

<nav>
	<ul>
		<li>
			<a class:selected={segment === undefined || segment === 'data-packages'} href=".">data packages</a>
		</li>
		<li>
			<a class:selected={segment === 'about'} href="about">about</a>
		</li>
		{#if $session.user}
			<li class="right">
				<a href="/profile">hello, {$session.user.username}</a>
			</li>
			<li>
				<a href="/logout">logout</a>
			</li>
		{:else}
			<li class="right">
				<a href="/login">login</a>
			</li>
		{/if}
	</ul>
</nav>
